This URL gets the Tacacs configuration.
Resource URL
GET domain/<domain_id>/remoteaccess/tacacs
Request Parameters
URL Request Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Domain id | Number | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Field Name | Description | Data Type |
|---|---|---|
| Enable Tacacs | Boolean |
| Tacacs server IP 1 | String |
| Tacacs server IP 2 | String |
| Tacacs server IP 3 | String |
| Tacacs server IP 4 | String |
| Enable encryption | Boolean |
| Encryption key | String |
Example
Request
GET https://<NSM_IP>/sdkapi/domain/0/remoteaccess/tacacs
Response
{
"enableTACACS":true,
"tacacsServerIP1":"1.1.1.1",
"tacacsServerIP2":"1.1.1.2",
"tacacsServerIP3":"1.1.1.3",
"tacacsServerIP4":"1.1.1.4",
"enableEncryption":true,
"encryptionKey":"abc"
}
Error Information
Following error code is returned by this URL:
No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 404 | 1105 | Invalid domain id |